@tailwind base;
@tailwind components;
@tailwind utilities;

@layer base {
  :root {
    --chart-1: 12 76% 61%;
    --chart-2: 173 58% 39%;
    --chart-3: 197 37% 24%;
    --chart-4: 43 74% 66%;
    --chart-5: 27 87% 67%;
  }

  .dark {
    --chart-1: 220 70% 50%;
    --chart-2: 160 60% 45%;
    --chart-3: 30 80% 55%;
    --chart-4: 280 65% 60%;
    --chart-5: 340 75% 55%;
  }
}

:root {
  font-family: Inter, system-ui, Avenir, Helvetica, Arial, sans-serif;
  line-height: 1.5;
  font-weight: 400;

  color-scheme: light dark;
  color: rgba(255, 255, 255, 0.87);
  background-color: #242424;

  font-synthesis: none;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

a {
  font-weight: 500;
  color: #646cff;
  text-decoration: inherit;
}

a:hover {
  color: #535bf2;
}

body {
  margin: 0;
  display: flex;
  place-items: center;
  min-width: 320px;
  min-height: 100vh;
  width: 100%;
}

#root {
  width: 100%;
}

h1 {
  font-size: 3.2em;
  line-height: 1.1;
}

button {
  border-radius: 8px;
  border: 1px solid transparent;
  padding: 0.6em 1.2em;
  font-size: 1em;
  font-weight: 500;
  font-family: inherit;
  background-color: #1a1a1a;
  cursor: pointer;
  transition: border-color 0.25s;
}

button:hover {
  border-color: #646cff;
}

button:focus,
button:focus-visible {
  outline: 4px auto -webkit-focus-ring-color;
}

@media (prefers-color-scheme: light) {
  :root {
    color: #213547;
    background-color: #ffffff;
  }

  a:hover {
    color: #747bff;
  }

  button {
    background-color: #f9f9f9;
  }
}

.ant-tree-treenode {
  width: 100%;
  padding-bottom: 8px;
}

.ant-tree .ant-tree-checkbox-checked .ant-tree-checkbox-inner {
  background-color: var(--blue-france-sun-113-625);
  border-color: var(--blue-france-sun-113-625);
}

.ant-tree .ant-tree-checkbox-indeterminate .ant-tree-checkbox-inner:after {
  background-color: var(--blue-france-sun-113-625);
}

.ant-tree
  .ant-tree-checkbox-wrapper-checked:not(.ant-tree-checkbox-wrapper-disabled):hover
  .ant-tree-checkbox-inner,
.ant-tree
  .ant-tree-checkbox-checked:not(.ant-tree-checkbox-disabled):hover
  .ant-tree-checkbox-inner {
  background-color: var(--blue-france-sun-113-625);
}

.ant-tree
  .ant-tree-checkbox-wrapper:not(.ant-tree-checkbox-wrapper-disabled):hover
  .ant-tree-checkbox-inner,
:where(.css-dev-only-do-not-override-f7vrd6).ant-tree
  .ant-tree-checkbox:not(.ant-tree-checkbox-disabled):hover
  .ant-tree-checkbox-inner {
  border-color: var(--blue-france-sun-113-625);
}

.ant-tree-treenode-disabled {
  .ant-tree-checkbox {
    display: none;
  }

  .ant-tree-node-content-wrapper {
    color: #1a1a1a !important;
    cursor: default !important;
    font-size: 1.2em;
    font-weight: 600;
  }
}
